### Constructor

# Peas Engine new

#### Declaration [src]

    PeasEngine*
    peas_engine_new (
      void
    )

#### Description [src]

Return a new instance of `PeasEngine`.

If no default `PeasEngine` has been instantiated yet, the first call of this function will set the default engine as the new instance of `PeasEngine`.

#### Return value

Type: `PeasEngine`

A new instance of `PeasEngine`.

The caller of the function takes ownership of the data, and is responsible for freeing it.